{ config, pkgs, ... }:

{
  xdg = {
    autostart.enable = true;
    portal = {
      enable = true;
      configPackages = [ pkgs.xdg-desktop-portal-hyprland ];
      extraPortals = [ pkgs.xdg-desktop-portal-hyprland pkgs.xdg-desktop-portal-wlr pkgs.xdg-desktop-portal-gtk ];
      xdgOpenUsePortal = true;
      wlr.enable = true;
    };
#     systemDirs = {
#       config = [ "/etc/xdg" ];
#       data = [ "/usr/share" "/usr/local/share" ];
#     };
  };
}